$(document).ready(function() {
  var table = $('#filestable');
  $('#headerName, #headerDate, #headerName .name, #modified').css({'cursor':'pointer'});
  
  $('#headerDate').wrapInner('<span title="Sort this column"/>').each(function(){
    var th = $(this),
    thIndex = th.index(),
    inverse = true;
    th.click(function(){  
      table.find('td').filter(function(){
          return $(this).index() === thIndex;
      }).sortElements(function(a, b){
        
        var uno,dos;
        
        if (typeof ($(a).find('span').attr("title")) != 'undefined')
          uno = ($(a).find('span').attr("title"));
        else
          uno = ($(a).find('span').attr("original-title"));
        
        if (typeof ($(b).find('span').attr("title")) != 'undefined') 
          dos = ($(b).find('span').attr("title"));                                  
        else                                                                              
          dos = ($(b).find('span').attr("original-title"));
          
        return Date.parse(uno) > Date.parse(dos) ?
        inverse ? -1 : 1
        : inverse ? 1 : -1;
        
      }, function(){
        // parentNode is the element we want to move
        return this.parentNode; 
      
      });
      
      inverse = !inverse;
      
      $('#headerName .name').text("Name");
      if (inverse)
        $('#modified').text("▲ Modified");
      else
        $('#modified').text("▼ Modified");
    });
  });

  $('#headerName').wrapInner('<span title="Sort this column"/>').each(function(){
    var th = $(this),
    thIndex = th.index(),
    inverse = false;
    th.click(function(){  
      table.find('td').filter(function(){
          return $(this).index() === thIndex;
      }).sortElements(function(a, b){
        return $.text([a]).toLowerCase() > $.text([b]).toLowerCase() ?
        inverse ? -1 : 1
        : inverse ? 1 : -1;
        
      }, function(){
        // parentNode is the element we want to move
        return this.parentNode; 
      
      });
      
      inverse = !inverse;

      $('#modified').text("Modified")
      if (inverse)
        $('#headerName .name').text("▲ Name");
      else
        $('#headerName .name').text("▼ Name");
    });
  });
});
